package com.cirs.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 元器件使用经历对象 t_elec_comp_record
 * 
 * @author allen
 * @date 2023-11-04
 */
public class TElecCompRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 元器件名称 */
    @Excel(name = "元器件编号")
    private String componentId;

    /** 使用场景 */
    @Excel(name = "应用设备")
    private String usedBy;

    /** 使用日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "使用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date usedDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setComponentId(String componentId) 
    {
        this.componentId = componentId;
    }

    public String getComponentId() 
    {
        return componentId;
    }
    public void setUsedBy(String usedBy) 
    {
        this.usedBy = usedBy;
    }

    public String getUsedBy() 
    {
        return usedBy;
    }
    public void setUsedDate(Date usedDate) 
    {
        this.usedDate = usedDate;
    }

    public Date getUsedDate() 
    {
        return usedDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("componentId", getComponentId())
            .append("usedBy", getUsedBy())
            .append("usedDate", getUsedDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
